Bug 832226 - Reboot snippets not last in kickstarts
Reboot snippets not last in kickstarts
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.9.0
: ---
Assigned To: Steven Lawrance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 18:59 EDT by Dan Callaghan
Modified: 2012-06-26 02:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 02:40:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2012-06-14 18:59:47 EDT
The ssh_keys snippet comes after the post_s390_reboot snippet in the kickstart, so .ssh/authorized_keys never get written to disk.
Comment 1 Steven Lawrance 2012-06-19 16:26:06 EDT
This affects ks_appends, the OS-family-specific posts, and the system_post as well as ssh keys.
Comment 2 Dan Callaghan 2012-06-21 18:28:59 EDT
This bug has been addressed in Beaker 0.9.0-3 which is currently running on stage:

https://beaker-stage.engineering.redhat.com/
Comment 3 Dan Callaghan 2012-06-26 02:40:09 EDT
Beaker 0.9.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.